/* Style for page layout with left menu and right main contents. */

@import url("style.css");

/* colors

blue1:  #C3D9E9
blue2:  #D1E5F0
green:  #CFDBBD
yellow: #FCE1B1
red:    #FBCBB2

*/

body {
    background-color: #ddd;
}

a.anchormark {
    color: #aaa;
    margin-left: 5px;
    text-decoration: none;
    font-size: 8pt;
    vertical-align: text-top;
}


div#left {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 20%;

    overflow: auto;

    padding: 10px;
    padding-left: 20px;
    padding-right: 10px;
    
    background-color: #CFDBBD;
    border-right: 1px solid #aaa;

    color: #555;    
}

div#left p,
div#left li,
div#left dd,
div#left dt {
    font-family: Arial, sans-serif;
}

div#left a {
    color: #555;
}

div#left ul {
    padding-left: 10px;
}
div#left p,
div#left dl,
div#left li {
    width: 80%;
    margin-top: 4px;
    list-style: none;
    color: #666;
    font-size: 90%;
}


div#left div#toc a {
    text-decoration: none;
}

div#left a:hover ,
div#left span.button:hover {
    color: #996;
}

div#left span.button {
    cursor: pointer;
    text-decoration: underline;
}


div#right {
    background-color: #fff;
    border-left: 1px solid #aaa;
    position: fixed;

    top: 0;
    left: 20%;
    right: 0;
    bottom: 0;

    overflow: auto;

    padding: 10px;
    padding-left: 70px;
    padding-right: 70px;
}

div#right::after {
    content: "";
    clear: both;
    display: table;
    padding-top: 70px;
}

/* Sometimes, when the list item contains more than just text, a <p>
   gets added to the <li> and creates more space, so we cancel
   that. */
div#right li > p {
    margin: 0;
}
div#right li {
    margin-top: 4px;
    margin-bottom: 4px;
}


div.examplebox::before
		    {
    font-family: Palatino, Georgia, serif;
    color:  #154360 ;
    font-weight: bold;
}

div.examplebox,
div.boxA,
div.boxB,
div.boxC,
div.boxD,
div.boxE
   {
    padding-left: 20px;
    padding-right: 10px;
    padding-bottom: 10px;
    padding-top: 10px;

    margin-top: 15px;
    margin-bottom: 20px;

    border: 1px solid #aaa;
   }

div.examplebox::before,
div.boxA::before,
div.boxB::before,
div.boxC::before,
div.boxD::before,
div.boxE::before
{
    font-family: Arial, sans-serif;
    color:  #154360 ;
    font-weight: bold;
    float:right;
    background-color: white;
    padding: 2px 5px 2px 5px;
    border: solid 1px #aaa;
}

div.examplebox {
    background: #EEF2E8;
}

div.examplebox::before {
    content: "Example";
}

@media print {
    div#left {
	display: none;
    }
    div#right {
	background-color: #fff;
	border: 0;
	position: relative;
	
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	
	overflow: auto;
	
	padding: 0;
	margin: 0;
    }

    a.anchormark {
	display: none;
    }

    a[href^="http://"]:after,
    a[href^="https://"]:after {
	content: " ("  attr(href) ")";
    }    

}

@media (max-width: 1000px) {
    div#left {
	display: none;
    }
    div#right {
	background-color: #fff;
	border: 0;
	position: relative;
	
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	
	overflow: auto;
	
	padding: 15px;
	margin: 0;
    }
}
